Skip to main content
GET
/
wallets
/
{id}
/
transactions
Fetch a list of transactions
curl --request GET \
  --url https://sandbox.api.btdx.io/wallets/{id}/transactions \
  --header 'authorization: <authorization>'
{
  "_meta": {
    "_count": 123,
    "_page": {
      "_pageNumber": 123,
      "_pageSize": 123,
      "_totalElements": 123,
      "_totalPages": 123
    }
  },
  "transactions": [
    {
      "transactionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "walletId": "<string>",
      "currencyId": "<string>",
      "amount": 123,
      "description": "<string>",
      "createdAt": "2023-11-07T05:31:56Z"
    }
  ]
}

Headers

authorization
string
required

Header with the accessToken for the current session

Path Parameters

id
string
required

wallet id

Query Parameters

fromCreatedAt
string<date-time>

Filter transactions created after this timestamp (inclusive)

toCreatedAt
string<date-time>

Filter transactions created before this timestamp (inclusive)

page
integer
default:0

Zero-based page index (0..N)

size
integer
default:20

The size of the page to be returned

sort
string[]

Sorting criteria in the format: property,(asc|desc). Default sort order is ascending. Multiple sort criteria are supported.

Response

OK

_meta
object
transactions
object[]